Bug 1128852 - Add FindBugs and associated packages to EPEL
Summary: Add FindBugs and associated packages to EPEL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: findbugs
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Fearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 262401 446134 464013 464014 475603
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 16:03 UTC by Seth Kress
Modified: 2019-08-11 10:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-11 10:21:47 UTC


Attachments (Terms of Use)

Description Seth Kress 2014-08-11 16:03:41 UTC
Findbugs would be nice to have on RHEL. Has been in Fedora for the past few releases.   



My appologies for putting this under the wrong component.

Comment 1 Deepak Bhole 2014-08-11 18:02:07 UTC
Hi Seth, please follow the process here for requesting a new EPEL package:
http://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL

Comment 2 Seth Kress 2014-08-11 19:20:34 UTC
My appologies.  Thank you for the redirect.

Comment 3 Richard Fearn 2015-01-10 12:01:27 UTC
I won't be able to package FindBugs for EPEL 6, because one of the packages requires Maven to build, and Maven isn't in EPEL 6 (see https://bugzilla.redhat.com/show_bug.cgi?id=1109385).

The situation for EPEL 7 looks better as Maven is included. However I do know that at least ASM 5 isn't available.

I almost gave up with getting FindBugs into EPEL last night (https://fedorahosted.org/rel-eng/ticket/6079) but I will keep going for now with EPEL 7 and see what can be done about ASM 5...

Comment 4 Fedora Update System 2017-01-28 23:38:22 UTC
jcip-annotations-1-15.20060626.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-98507d2ae5

Comment 5 Fedora Update System 2017-01-29 22:49:03 UTC
jcip-annotations-1-15.20060626.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-98507d2ae5

Comment 6 Fedora Update System 2017-02-18 20:18:14 UTC
jcip-annotations-1-15.20060626.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-03-28 22:54:06 UTC
findbugs-bcel-6.0-0.7.20140707svn1547656.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-36640c4dba

Comment 8 Fedora Update System 2017-03-28 23:14:21 UTC
jFormatString-0-0.24.20131227gitf159b88.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5cd17f1fa4

Comment 9 Fedora Update System 2017-03-29 22:12:46 UTC
jsr-305-0-0.21.20130910svn.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dc4100e54a

Comment 10 Fedora Update System 2017-03-30 01:49:06 UTC
findbugs-bcel-6.0-0.7.20140707svn1547656.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-36640c4dba

Comment 11 Fedora Update System 2017-03-30 01:49:09 UTC
jFormatString-0-0.24.20131227gitf159b88.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5cd17f1fa4

Comment 12 Fedora Update System 2017-03-31 03:48:31 UTC
jsr-305-0-0.21.20130910svn.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dc4100e54a

Comment 13 Richard Fearn 2017-04-01 20:58:59 UTC
(In reply to Fedora Update System from comment #12)
> jsr-305-0-0.21.20130910svn.el7 has been pushed to the Fedora EPEL 7 testing
> repository. If problems still persist, please make note of it in this bug
> report.
> See https://fedoraproject.org/wiki/QA:Updates_Testing for
> instructions on how to install test updates.
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dc4100e54a

I have retired jsr-305 in EPEL 7, because as pointed out in the update, jsr-305 is already in RHEL 7 (and CentOS 7).

Comment 14 Fedora Update System 2017-05-07 05:52:30 UTC
findbugs-bcel-6.0-0.7.20140707svn1547656.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-07 05:52:32 UTC
jFormatString-0-0.24.20131227gitf159b88.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Jan Kurik 2017-08-15 06:24:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 17 Richard Fearn 2019-08-11 10:21:47 UTC
FindBugs upstream is dead, succeeded by SpotBugs. I don't think getting FindBugs into EPEL is worth pursuing.


Note You need to log in before you can comment on or make changes to this bug.